<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>Unit Conversion and Dimensional Analysis Library: units::traits::unit_traits&lt; T &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.0.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1traits.html">traits</a></li><li class="navelem"><a class="el" href="structunits_1_1traits_1_1unit__traits.html">unit_traits</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="structunits_1_1traits_1_1unit__traits-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">units::traits::unit_traits&lt; T &gt; Struct Template Reference<div class="ingroups"><a class="el" href="group___type_traits.html">Type Traits</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Traits class defining the properties of units.  
 <a href="structunits_1_1traits_1_1unit__traits.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="units_8h_source.html">units.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a383a749c168d74ee16e79ec892dd2dfa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a383a749c168d74ee16e79ec892dd2dfa"></a>
typedef T::base_unit_type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1traits_1_1unit__traits.html#a383a749c168d74ee16e79ec892dd2dfa">base_unit_type</a></td></tr>
<tr class="memdesc:a383a749c168d74ee16e79ec892dd2dfa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unit type that the unit was derived from. May be a <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types. ">base_unit</a></code> or another <code>unit</code>. Use the <code>base_unit_of</code> trait to find the SI base unit type. This will be <code>void</code> if type <code>T</code> is not a unit. <br /></td></tr>
<tr class="separator:a383a749c168d74ee16e79ec892dd2dfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a502c916633cee73f5a5e7c6c1e654675"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a502c916633cee73f5a5e7c6c1e654675"></a>
typedef T::conversion_ratio&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1traits_1_1unit__traits.html#a502c916633cee73f5a5e7c6c1e654675">conversion_ratio</a></td></tr>
<tr class="memdesc:a502c916633cee73f5a5e7c6c1e654675"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>std::ratio</code> representing the conversion factor to the <code>base_unit_type</code>. This will be <code>void</code> if type <code>T</code> is not a unit. <br /></td></tr>
<tr class="separator:a502c916633cee73f5a5e7c6c1e654675"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf2430e728313804d63bdd1c55936967"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acf2430e728313804d63bdd1c55936967"></a>
typedef T::pi_exponent_ratio&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1traits_1_1unit__traits.html#acf2430e728313804d63bdd1c55936967">pi_exponent_ratio</a></td></tr>
<tr class="memdesc:acf2430e728313804d63bdd1c55936967"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>std::ratio</code> representing the exponent of pi to be used in the conversion. This will be <code>void</code> if type <code>T</code> is not a unit. <br /></td></tr>
<tr class="separator:acf2430e728313804d63bdd1c55936967"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9872efa06cb637a5d6146822f7beb98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9872efa06cb637a5d6146822f7beb98"></a>
typedef T::translation_ratio&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1traits_1_1unit__traits.html#ab9872efa06cb637a5d6146822f7beb98">translation_ratio</a></td></tr>
<tr class="memdesc:ab9872efa06cb637a5d6146822f7beb98"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>std::ratio</code> representing a datum translation to the base unit (i.e. degrees C to degrees F conversion). This will be <code>void</code> if type <code>T</code> is not a unit. <br /></td></tr>
<tr class="separator:ab9872efa06cb637a5d6146822f7beb98"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;class T&gt;<br />
struct units::traits::unit_traits&lt; T &gt;</h3>

<p>Traits class defining the properties of units. </p>
<p>The units library determines certain properties of the units passed to them and what they represent by using the members of the corresponding <a class="el" href="structunits_1_1traits_1_1unit__traits.html" title="Traits class defining the properties of units. ">unit_traits</a> instantiation. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>E:/workspace/units/include/<a class="el" href="units_8h_source.html">units.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jul 15 2016 10:13:32 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
